Bug 713741

Summary: Review Request: libgcal - A library to access google calendar events and contacts
Product: [Fedora] Fedora Reporter: Mario Santagiuliana <fedora>
Component: Package ReviewAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, herrold, notting, rdieter
Target Milestone: ---Flags: rdieter: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libgcal-0.9.6-5.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-29 21:56:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 659959    

Description Mario Santagiuliana 2011-06-16 12:55:53 UTC
Spec URL: http://marionline.fedorapeople.org/packages/SPECS/libgcal.spec
SRPM URL: http://marionline.fedorapeople.org/packages/SRPMS/libgcal-0.9.6-3.fc14.src.rpm
Description:
This is a library to access google calendar events and contacts, its purpose is
   - provide easy access to available events/contacts
   - enable common operations: add, delete, edit
   - have few dependencies (up until now, only requires libcurl and libxml)

It implements Google Data API 2.0 and is tested on Linux and MacOSX.

I become today the new package mantainer for this software. I need a new review for this spec file bacause it wasn't update in the last 3 month.

There was a problem with the spec file in fedora git repository and the spec file in the src rpm for fedora 14. For fedora 15 the package was rebuild.
With this new spec I merge the two spec file, delete the line that doesn't respect the fedora guidelines and resolve bug #659959 .

Comment 1 Rex Dieter 2011-06-16 13:30:50 UTC
I can help (re)review this.

Comment 2 Mario Santagiuliana 2011-06-16 13:39:38 UTC
Hi Rex thank you for your help! :)

I forgot to remove the clean section. Like I said I can't support EPEL because I don't have it and I only use Fedora.

Thank you! I'm waiting your reply :)

Comment 3 Rex Dieter 2011-06-16 13:49:24 UTC
confirmed bug #659959 is fixed.


comments:

1.  Looks like this one has a similar problem that akonadi-googledata had, :)  %build section is pretty sparse.  I'd suggest modifying to something like:

%build
%{cmake} .

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install/fast DESTDIR=$RPM_BUILD_ROOT


2.  %files has some excessive globs, imo, I'd suggest tracking lib soname at least, replace
%files
...
%{_libdir}/*.so.*

with

%files
...
%{_libdir}/libgcal.so.0*

3. -devel can drop
Requires: pkgconfig
pkgconfig-related depenendencies are handled automatically by rpm these days.

Comment 4 Mario Santagiuliana 2011-06-16 14:11:41 UTC
1) Change;
2) Fix
3) If I understand correctly now should be ok

4) I remove the %clear section

Could you check it now? I update the spec file:
http://marionline.fedorapeople.org/packages/SPECS/libgcal.spec
And srpm:
http://marionline.fedorapeople.org/packages/SRPMS/

P.S. I will use my email account for fedora in changelog, using my personal email can confuse people, I think.

Comment 5 Rex Dieter 2011-06-16 14:25:57 UTC
small cosmetic issue, 2. should be
%{_libdir}/libgcal.so.0*
not just
%{_libdir}/libgcal.so.*

that way we can track the lib soname closer, and be alerted when/if that ever changes (ie, builds will fail).

I'll trust you to fix that prior to doing any builds...


APPROVED.

go ahead and apply your changes to git, and close this when that's done.

Comment 6 Mario Santagiuliana 2011-06-16 15:26:23 UTC
Thank you very much, spec file updated and I push in fedora git the new spec file. I'm building the packages and then I'm pushing to bodhi. Then I will close this bug :)

Thank you very much!

Comment 7 Fedora Update System 2011-06-16 15:31:32 UTC
libgcal-0.9.6-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libgcal-0.9.6-5.fc15

Comment 8 Fedora Update System 2011-06-16 15:33:40 UTC
libgcal-0.9.6-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libgcal-0.9.6-5.fc14

Comment 9 Fedora Update System 2011-06-21 17:07:03 UTC
Package libgcal-0.9.6-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libgcal-0.9.6-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libgcal-0.9.6-5.fc15
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-06-29 21:56:39 UTC
libgcal-0.9.6-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-06-29 21:58:02 UTC
libgcal-0.9.6-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.